For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
            • GETGet Country
            • GETGet State
            • GETList Addresses
            • POSTCreate Company Address
            • GETGet Address
            • PUTUpdate Address
            • DELDelete Address
            • POSTBulk Create Addresses
            • GETList Address Extra Field Configs
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementAddresses

Bulk Create Addresses

POST
https://api-b2b.bigcommerce.com/api/v3/io/addresses/bulk
POST
/api/v3/io/addresses/bulk
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/addresses/bulk \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "0": {
> "firstName": "Marie",
> "lastName": "Curie",
> "phoneNumber": "512-200-1234",
> "zipCode": "78704",
> "addressLine1": "512 Bluebonnet Lane",
> "addressline2": "Building 1",
> "city": "Austin",
> "stateName": "Texas",
> "countryName": "United States",
> "stateCode": "TX",
> "countryCode": "US",
> "companyId": 123456,
> "isBilling": false,
> "isShipping": true,
> "isDefaultBilling": false,
> "isDefaultShipping": false,
> "label": "Austin Warehouse",
> "externalId": "123456",
> "extraFields": {
> "fieldName": "Tax Provider Tax Code",
> "fieldValue": "G"
> }
> },
> "1": {
> "firstName": "Isaac",
> "lastName": "Newton",
> "phoneNumber": "512-100-1000",
> "zipCode": "78726",
> "addressLine1": "737 Lone Star Road",
> "addressline2": "Suite 200",
> "city": "Austin",
> "stateName": "Texas",
> "countryName": "United States",
> "stateCode": "TX",
> "countryCode": "US",
> "companyId": 123456,
> "isBilling": true,
> "isShipping": false,
> "isDefaultBilling": false,
> "isDefaultShipping": false,
> "label": "Austin HQ",
> "externalId": "123456",
> "extraFields": {
> "fieldName": "Tax Provider Tax Code",
> "fieldValue": "G"
> }
> },
> "firstName": "Marie",
> "lastName": "Curie",
> "addressLine1": "512 Bluebonnet Lane",
> "city": "Austin",
> "stateName": "Texas",
> "countryName": "United States",
> "companyId": 123456
>}'
1{
2 "data": {
3 "0": {
4 "addressId": 123456,
5 "firstName": "Marie",
6 "lastName": "Curie",
7 "phoneNumber": "512-200-1234",
8 "zipCode": "78704",
9 "addressLine1": "512 Bluebonnet Lane",
10 "addressline2": "Building 1",
11 "city": "Austin",
12 "stateName": "Texas",
13 "countryName": "United States",
14 "stateCode": "TX",
15 "countryCode": "US",
16 "companyId": 123456,
17 "isBilling": false,
18 "isShipping": true,
19 "isDefaultBilling": false,
20 "isDefaultShipping": false,
21 "label": "Austin Warehouse",
22 "externalId": "123456",
23 "extraFields": [
24 {
25 "fieldName": "Tax Provider Tax Code",
26 "fieldValue": "G",
27 "fieldType": 0
28 }
29 ]
30 },
31 "1": {
32 "addressId": 123457,
33 "firstName": "Isaac",
34 "lastName": "Newton",
35 "phoneNumber": "512-100-1000",
36 "zipCode": "78726",
37 "addressLine1": "737 Lone Star Road",
38 "addressline2": "Suite 200",
39 "city": "Austin",
40 "stateName": "Texas",
41 "countryName": "United States",
42 "stateCode": "TX",
43 "countryCode": "US",
44 "companyId": 123456,
45 "isBilling": true,
46 "isShipping": false,
47 "isDefaultBilling": false,
48 "isDefaultShipping": false,
49 "label": "Austin HQ",
50 "externalId": "123456",
51 "extraFields": [
52 {
53 "fieldName": "Tax Provider Tax Code",
54 "fieldValue": "G",
55 "fieldType": 0
56 }
57 ]
58 }
59 },
60 "code": 200,
61 "meta": {
62 "message": "Success"
63 }
64}
Creates multiple addresses for **up to 10** addresses at a time. You can create addresses for different Company accounts in a single request by entering a different `companyid` value for each address object. See [Create a Company Address](#create-a-company-address) for considerations related to creating one or more addresses.
Was this page helpful?
Previous

Delete Address

Next

List Address Extra Field Configs

Built with

Creates multiple addresses for up to 10 addresses at a time. You can create addresses for different Company accounts in a single request by entering a different companyid value for each address object.

See Create a Company Address for considerations related to creating one or more addresses.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
firstNamestringOptional
The first name on the address.
lastNamestringOptional
The last name on the address.
phoneNumberstringOptional
The phone number on the address.
zipCodestringOptional
The postal code on the address.
addressLine1stringOptional
The first line of the address.
addressLine2stringOptional
The second line of the address.
citystringOptional
The city on the address.
stateNamestringOptional

The full name of the state or province on the address. This must correspond to stateCode in the request if the state or province is required for the country.

countryNamestringOptional

The full name of the country on the address. Use Get a Country to retrieve valid country names.

stateCodestringOptional

The two-letter ISO code for the state or province on the address. Omit this field when adding state or province information for an unsupported country.

countryCodestringOptional

The two-letter ISO code for the country on the address. Use Get a Country to retrieve valid country codes.

companyIdintegerOptional
The unique numeric ID of the Company account.
isBillingbooleanOptional
Indicates whether the address is a billing address.
isShippingbooleanOptional
Indicates whether the address is a shipping address.
isDefaultBillingbooleanOptional
Indicates whether the address is the default billing address.
isDefaultShippingbooleanOptional
Indicates whether the address is the default shipping address.
labelstringOptional
The label used on the storefront to identify the address.
externalIdstringOptional

An external ID assigned to the address in a third-party system, such as an ERP.

extraFieldslist of objectsOptional
Enter extra field information for the address.

Response

OK
dataobject
codeintegerDefaults to 200
HTTP Response Code
metaobject

Errors

413
Content Too Large Error
422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.